aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xstandalone-kernel/patch-kernel.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/standalone-kernel/patch-kernel.sh b/standalone-kernel/patch-kernel.sh
index dfe45e7..e42ed6c 100755
--- a/standalone-kernel/patch-kernel.sh
+++ b/standalone-kernel/patch-kernel.sh
@@ -15,4 +15,4 @@ fi
cp fetch.sh "$K/scripts/fetch-latest-wireguard.sh"
chmod +x "$K/scripts/fetch-latest-wireguard.sh"
-[[ $(< "$K/scripts/Kbuild.include") == *fetch-latest-wireguard.sh* ]] || echo '$(shell scripts/fetch-latest-wireguard.sh)' >> "$K/scripts/Kbuild.include"
+[[ $(< "$K/scripts/Kbuild.include") == *fetch-latest-wireguard.sh* ]] || echo '$(shell cd "$(srctree)" && ./scripts/fetch-latest-wireguard.sh)' >> "$K/scripts/Kbuild.include"